All Manuals > LispWorks Release Notes and Installation Guide > 5 Installation on x86/x64 Solaris


5.1 Software and hardware requirements

An overview of system requirements is provided in System requirements on x86/x64 Solaris. The sections that follow discuss any relevant details.

System requirements on x86/x64 Solaris

Hardware Requirements

Software Requirements

For 32-bit LispWorks, 130MB of disk space

Solaris 10 (release 5/08 or later), Solaris 11, or OpenSolaris (release 2009.06 or later)

For 64-bit LispWorks, 140MB of disk space

GTK+ 2 (version 2.4 or higher) to run the GTK+ GUI.

Motif 2.1 and Imlib to run the deprecated Motif GUI

Any modern machine is likely to have sufficient RAM to run LispWorks as distributed.

Firefox or Opera web browser for viewing on-line documentation

5.1.1 GUI libraries

5.1.2 Disk requirements

LispWorks Release Notes and Installation Guide - 23 Dec 2011